aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohanna Äijälä <johanna.aijala@qt.io>2021-03-25 08:20:45 +0200
committerQt Cherry-pick Bot <cherrypick_bot@qt-project.org>2021-03-28 15:29:03 +0000
commiteb0962abdd27b50027db7d04f62b6e4a2b9eaccd (patch)
tree9d7af686cd4f71f326e7f09fb70e2b8967cd3e94
parent3a49fa3b969c67ac163fab53d2ba672d352b95ab (diff)
Provisioning: update Squish packges
Still using unreleased custom snapshot packages from Froglogic. macOS: use custom build Qt5.15 package with separate Squish server adjusted for Qt6. Change-Id: I8605204118015feb347268c335ef731ff99e3c68 Reviewed-by: Heikki Halmet <heikki.halmet@qt.io> (cherry picked from commit 02d4c34b7da7d0d885b79528276aa1e596c257c3) Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
-rwxr-xr-xcoin/provisioning/common/unix/squishInstall.sh45
-rw-r--r--coin/provisioning/common/windows/squishInstall.ps115
2 files changed, 24 insertions, 36 deletions
diff --git a/coin/provisioning/common/unix/squishInstall.sh b/coin/provisioning/common/unix/squishInstall.sh
index 327c8af5..d104d9d5 100755
--- a/coin/provisioning/common/unix/squishInstall.sh
+++ b/coin/provisioning/common/unix/squishInstall.sh
@@ -41,7 +41,7 @@ set -ex
# This script will fetch and extract pre-buildt squish package for Linux and Mac.
# Squish is need by Release Test Automation (RTA)
-version="6.7-20210119-1632"
+version="6.7-20210318-1241"
qtBranch="60x"
installFolder="/opt"
squishFolder="$installFolder/squish"
@@ -49,12 +49,12 @@ preBuildCacheUrl="ci-files01-hki.intra.qt.io:/hdd/www/input/squish/jenkins_build
licenseUrl="http://ci-files01-hki.intra.qt.io/input/squish/coin/515x/.squish-3-license"
licenseSHA="e000d2f95b30b82f405b9dcbeb233cd43710a41a"
if uname -a |grep -q Darwin; then
- version="6.6.1"
- compressedFolder="prebuild-squish-$version-515x-macx86_64.tar.gz"
- sha1="9fff9a7cb037214d21f47f2cc53747885fd1f2ae"
+ version="6.7-20210301-1401"
+ compressedFolder="prebuild-squish-$version-$qtBranch-macx86_64.tar.gz"
+ sha1="562d065ed810f03cb0dad4cf81a4fc688bc813ec"
else
compressedFolder="prebuild-squish-$version-$qtBranch-linux64.tar.gz"
- sha1="8780665c3560456cd86980802cb24513233444fe"
+ sha1="80b3f36e760963a6989a49c79818bf8671d1932a"
fi
mountFolder="/tmp/squish"
@@ -117,31 +117,24 @@ if uname -a |grep -q "Ubuntu"; then
echo "export SQUISH_PATH=$squishFolder/squish_for_qt6" >> ~/.profile
echo "export PATH=\$PATH:$squishFolder/squish_for_qt6/bin" >> ~/.profile
else
- echo "export SQUISH_PATH=$squishFolder/squish_for_qt" >> ~/.bashrc
- echo "export PATH=\$PATH:$squishFolder/squish_for_qt/bin" >> ~/.bashrc
+ echo "export SQUISH_PATH=$squishFolder/squish_for_qt6" >> ~/.bashrc
+ echo "export PATH=\$PATH:$squishFolder/squish_for_qt6/bin" >> ~/.bashrc
fi
echo "Verifying Squish, available installations:"
ls -la $squishFolder
-if uname -a |grep -q Darwin; then
- if "$squishFolder/squish_for_qt/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
- echo "Squish for Qt installation tested successfully"
- else
- echo "Squish for Qt test failed! Package wasn't installed correctly."
- exit 1
- fi
+
+if "$squishFolder/squish_for_qt5/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
+ echo "Squish for Qt5 installation tested successfully"
else
- if "$squishFolder/squish_for_qt5/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
- echo "Squish for Qt5 installation tested successfully"
- else
- echo "Squish for Qt5 test failed! Package wasn't installed correctly."
- exit 1
- fi
- if "$squishFolder/squish_for_qt6/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
- echo "Squish for Qt6 installation tested successfully"
- else
- echo "Squish for Qt6 test failed! Package wasn't installed correctly."
- exit 1
- fi
+ echo "Squish for Qt5 test failed! Package wasn't installed correctly."
+ exit 1
fi
+if "$squishFolder/squish_for_qt6/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
+ echo "Squish for Qt6 installation tested successfully"
+else
+ echo "Squish for Qt6 test failed! Package wasn't installed correctly."
+ exit 1
+fi
+
diff --git a/coin/provisioning/common/windows/squishInstall.ps1 b/coin/provisioning/common/windows/squishInstall.ps1
index dbd6da16..2005864c 100644
--- a/coin/provisioning/common/windows/squishInstall.ps1
+++ b/coin/provisioning/common/windows/squishInstall.ps1
@@ -36,7 +36,7 @@
# This script will pre-installed squish package for Windows.
# Squish is need by Release Test Automation (RTA)
-$version = "6.7-20210112-1612"
+$version = "6.7-20210319-0956"
$qtBranch = "60x"
$targetDir = "C:\Utils\squish"
$squishPackage = "C:\Utils\rta_squish"
@@ -50,7 +50,7 @@ Write-Host "Installing Squish license to home directory"
Copy-Item $licenseUrl\$licensePackage ~\$licensePackage
if (Is64BitWinHost) {
- $arch = "x64"
+ $arch = "x64"
} else {
$arch = "x86"
}
@@ -60,15 +60,10 @@ $OSVersion = (get-itemproperty -Path "HKLM:\SOFTWARE\Microsoft\Windows NT\Curren
if ($OSVersion -eq "Windows 10 Enterprise") {
$winVersion = "win10"
if (Is64BitWinHost) {
- $sha1 = "628bb65cf515d08df388b0dc4d5b403e4c6657b2"
- } else {
- $sha1 = "9c0fc186605522ac0ac11066c10c3f3e8a95a705"
- #Remove special handling when all packages are in same dir, exception now for win10 x86->the archive had to be rebuild
- $squishUrl = "\\ci-files01-hki.intra.qt.io\provisioning\squish\jenkins_build\stable\6.6.1_rerun"
+ $sha1 = "61eca4950d24d9780e02cd4183c54009eda46114"
}
-} elseif ($OSVersion -eq "Windows 7 Enterprise") {
- $winVersion = "win7"
- $sha1 = "ec890c16bb671ae79b093ba81e6567d2780f85a2"
+} else {
+ $winVersion = "n/a"
}
$squishArchive = "prebuild-squish-$version-$qtBranch-$winVersion-$arch.zip"